package com.muchinfo.mtp3century.service;

import com.muchinfo.mtp3pojos.entity.Taaccount;
import com.muchinfo.mtp3pojos.entity.Userinfo;

import java.util.List;
import java.util.Set;

public interface ISendMsgService {
    void sendCustomerInfo(Userinfo userinfo, Long accountid, String number, int i);

    void sendUserChangeMsg(Long accountid, Long userid, Integer type, Integer type1, Integer type2);

    void sendUserChangeMsg(Long accountid, Long userid, Integer type, Integer ntfmode);

    void sendMsg(byte[] byteArray, String topic, Integer funcode);

    void sendSMSConnetion(Integer templateId, String recPhone, List<String> params);

    void sendLoginMsg(Set<Long> set_msg, Integer type, Integer ntfmode);

    void sendM2BUnregistCustomerInfo(List<Taaccount> tas);

    void sendAccountConfigChangeNtf(Integer nt, Integer ct, Long userid, Long accountid, Long goodsid, Long groupid, Integer rt);

}
